<script setup>
import { cn } from "../../../utils/cn";
defineOptions({ name: "UiSkeleton" });
const props = defineProps({
  class: { type: [Boolean, null, String, Object, Array], required: false, skipCheck: true }
});
</script>

<template>
  <div
    data-slot="skeleton"
    :class="cn('animate-pulse rounded-md bg-zinc-300/20', props.class)"
  />
</template>
